# netlogond (8)

## Samba-TNG

## 20 Aug 2005

## NAME

netlogond - Netlogon service

## SYNOPSIS

netlogond [-d debuglevel] [-D] [-s servicesfile] [-l basename for log file] [-h] [-V]

## DESCRIPTION

This daemon is part of the Samba-TNG suite.

"The NETLOGON pipe provides NT-style authentication to NT interactive users, Backup Domain Controllers, and Trusted Domain Controllers, and is also used by a Workstation to verify a third party that contacts that Workstation." - Luke Kenneth Casson Leighton (chapter 4 of "DCE/RPC over SMB - Samba and Windows NT Domain Internals").

In short, netlogond takes care of all Domain Authentication. This daemon must be running on a Samba-TNG Domain Controller or Domain Member.

## OPTIONS

-d debuglevel
  sets the debuglevel to an integer between 0 and 100. 0 is for no debugging and 100 is for reams and reams. To submit a bug report to the Samba-TNG Team, use debug level 100 (see BUGS.txt).

-D
  tells netlogond to become a daemon and detach from the current terminal. This should be used for the most part.

-s servicesfile
  specifies the location of the services file. The default being /etc/services.

-l basename for log file
  sets the basename of the log file. The default is log and .netlogond will be appended to the file name.

-h
  Prints the help information (usage) for netlogond.

-V
  Prints the version number.

## SEE ALSO

nmbd(8), samba(7), smbd(8), smb.conf(5)

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell.

Samba-TNG is now developed by the Samba-TNG Team as an independent Open Source project. Take a look at the Samba-TNG Forum for more informations.

This manual page originally was written 2000 by Matthew Geddes.

2005 the manpage was adapted to the current version of the Samba-TNG project.